import axios from '@/common/services/axios-instance'
class IamDmAnalysisServices {
  // 获取账套名称
  findBookName() {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/findBookName`,
    })
  }

  // 获取币种列表
  findCrrencyCode(bookCode) {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/findCrrencyCode?bookCode=${bookCode}`,
    })
  }

  // 获取账龄分析列表
  getList(params) {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/agingAnalysisByMultiSubjects`,
      method: 'POST',
      data: params,
    })
  }

  // 导出信息列表
  exportData(params) {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/exportAgingQueryList`,
      method: 'POST',
      data: params,
      responseType: 'blob',
    })
  }
}
export default new IamDmAnalysisServices()
